> For the complete documentation index, see [llms.txt](https://docs.alphaus.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphaus.cloud/api-reference/ripple/user.md).

# User

ユーザーのAPIリファレンスは以下の通りです。

## Get user

ユーザー情報の取得

**Role actions**

* `ModifySettings`

**Request**

```http
GET /user HTTP1.1
Authorization: Bearer {token}
```

**Response**

```ruby
HTTP 200

{
  "msp_start": "2020-01",
  "language": "ja",
  "invoices_info": {},
  "invoice_meta": {},
  "meta": {},
  "services": [],
  "username": null,
  "support_fee": [],
  "msp_id": "MSP-5aa311904d5d6",
  "invoice_layout": {},
  "service_discount": {},
  "months": [],
  "export_digit": "up",
  "exchange_rate": [],
  "pay_accounts": [],
  "service_fee": null,
  "company_name": "Company Name",
  "reseller_lng": null,
  "email": "info@alphaus.cloud"
}
```

**exchange\_rate object例**

| Field | Type     | Description         |
| ----- | -------- | ------------------- |
| month | *string* | 月 format: `yyyy-mm` |
| rate  | *double* | 為替レート               |

```ruby
"exchange_rate": [
    {
      "month": "2020-04",
      "rate": 105.00
    }
]
```

**pay\_accounts object例**

vendor : aws

| Field               | Type     | Description          |
| ------------------- | -------- | -------------------- |
| vendor              | *string* | ベンダー                 |
| id                  | *string* | 支払いアカウント             |
| name                | *string* | 支払いアカウント名            |
| bucket\_name        | *string* | aws s3 bucket名       |
| prefix              | *string* | aws s3 bucket prefix |
| report\_name        | *string* | aws s3 report名       |
| role\_arn           | *string* | aws iam role arn     |
| report\_last\_saved | *string* | CUR更新日時              |

```ruby
"pay_accounts": [
    {
      "vendor": "aws",
      "id": "123456789109",
      "name": "Payer Account",
      "bucket_name": null,
      "prefix": null,
      "report_name": null,
      "role_arn": null,
      "report_last_saved": []
    }
]
```

vendor : azure

| Field             | Type     | Description            |
| ----------------- | -------- | ---------------------- |
| vendor            | *string* | ベンダー                   |
| id                | *string* | 支払いアカウント               |
| name              | *string* | 支払いアカウント名              |
| application\_name | *string* | azure application name |
| application\_id   | *string* | azure application id   |
| commerce\_id      | *string* | azure commerce id      |

```ruby
"pay_accounts": [
    {
      "vendor": "azure",
      "id": "1234567",
      "name": "Payer Account",
      "application_name": null,
      "application_id": null,
      "commerce_id": null
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphaus.cloud/api-reference/ripple/user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
